GEARMAN_CLIENT_REMOVE_SERVERS(3)

NAME
gearman_client_remove_servers - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

gearman_return_t gearman_client_add_server(gearman_client_st *client, const char *host, in_port_t port)

gearman_return_t gearman_client_add_servers(gearman_client_st *client, const char *servers)

void gearman_client_remove_servers(gearman_client_st *client)

DESCRIPTION

gearman_client_add_server() will add an additional gearmand server to the list of servers that the client will take work from.

gearman_client_remove_servers() will remove all servers from the gearman_client_st.

gearman_client_add_servers() takes a list of gearmand servers that will be parsed to provide servers for the client. The format for this is SERVER[:PORT][,SERVER[:PORT]]...

Examples of this are::
    10.0.0.1,10.0.0.2,10.0.0.3 localhost234,jobserver2.domain.com:7003,10.0.0.3

RETURN VALUE

gearman_client_add_server() and gearman_client_remove_servers() return gearman_return_t.

HOME

To find out more information please check: http://gearman.info/

See also

    gearmand(8) libgearman(3) gearman_client_st

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2013, Data Differential, http://www.datadifferential.com/